### Function

# Gimp rgba_get_pixel

#### Declaration [src]

    void
    gimp_rgba_get_pixel (
      const GimpRGB* rgba,
      const Babl* format,
      gpointer pixel
    )

#### Description [src]

Writes the red, green, blue and alpha components of `rgba` to the color stored in `pixel`. The pixel format of `pixel` is determined by `format`.

Available since: | 2.10

#### Parameters

`rgba` | `GimpRGB`
| A `GimpRGB` struct.
| The data is owned by the caller of the function.
`format` | `Babl`
| A Babl format.
| The data is owned by the caller of the function.
`pixel` | `gpointer`
| Pointer to the destination pixel.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The data is owned by the caller of the function.